Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class PrimitiveDefPOA

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.CORBA.PrimitiveDefPOA

All Implemented Interfaces:
  IDLTypeOperations, InvokeHandler, IRObjectOperations, PrimitiveDefOperations

Direct Known Subclasses:
  PrimitiveDefPOATie

public abstract class PrimitiveDefPOA
extends Servant
implements PrimitiveDefOperations, InvokeHandler

A PrimitiveDef represents one of the OMG IDL primitive types. As primitive types are unnamed, this interface is not derived from TypedefDef or Contained.

Constructor Summary
`PrimitiveDefPOA()`

Method Summary
`java.lang.String[]` | `_all_interfaces(POA poa, byte[] objectId)`
`OutputStream` | `_invoke(java.lang.String opName, InputStream _is, ResponseHandler handler)`
`PrimitiveDef` | `_this()`
`PrimitiveDef` | `_this(ORB orb)`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.PrimitiveDefOperations
`kind`

Methods inherited from interface org.omg.CORBA.IDLTypeOperations
`type`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Constructor Detail

### PrimitiveDefPOA

    public PrimitiveDefPOA()

Method Detail

### _this

    public PrimitiveDef _this()

### _this

    public PrimitiveDef _this(ORB orb)

### _all_interfaces

    public java.lang.String[] _all_interfaces(POA poa,
                                              byte[] objectId)

  Overrides:
    `_all_interfaces` in class `Servant`

### _invoke

    public final OutputStream _invoke(java.lang.String opName,
                                      InputStream _is,
                                      ResponseHandler handler)

  Specified by:
    `_invoke` in interface `InvokeHandler`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD